gnutls_openpgp_privkey_get_subkey_id(3)

NAME
gnutls_openpgp_privkey_get_subkey_id - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_get_subkey_id(gnutls_openpgp_privkey_t key, unsigned int idx, gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP secret key.

unsigned int idx
    the subkey index

gnutls_openpgp_keyid_t keyid
    the buffer to save the keyid.

DESCRIPTION
Get the key-id for the subkey.

RETURNS
the 64-bit keyID of the OpenPGP key.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/